Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 3 Feb 2014 11:29:13 +0100
From:      Tijl Coosemans <tijl@FreeBSD.org>
To:        "Steven Hartland" <killing@multiplay.co.uk>
Cc:        freebsd-hackers@freebsd.org
Subject:   Re: iconv support in 10.x compatibility with closed source apps?
Message-ID:  <20140203112913.47bfc11b@kalimero.tijl.coosemans.org>
In-Reply-To: <00018D706D2B4278A74A58BE482BF968@multiplay.co.uk>
References:  <00018D706D2B4278A74A58BE482BF968@multiplay.co.uk>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Mon, 3 Feb 2014 09:12:10 -0000 Steven Hartland wrote:
> Since 10.x includes iconv in base the converts/libiconv port
> refuses to build with the error:
> 
> ===>  libiconv-1.14_1 converters/libiconv should not be used
> with iconv from base.  Please fix the port which tries to use it.
> 
> Now thats all well and good if this was port but its not its
> a piece of close source software which is linked to libiconv.so.3
> 
> So without the option of recompiling the application with base
> iconv what's the correct fix?

Update your ports tree and install converters/libiconv.  The ban has
been lifted.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20140203112913.47bfc11b>